#include<bits/stdc++.h>

using namespace std;

struct frilenseri
{
    double a;
    double p;
};

struct frilenseri f[200200];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    double sum=0,pr,m=0;

    cin >> n;

    for(int i=0; i<n; i++)
    {
        cin >> f[i].a;
        cin >> f[i].p;
        
        int k=i;
        
        while(k>0 && f[k].p>f[k-1].p)
        {
            swap(f[k],f[k-1]);
        }
    }
    for(int i=0; i<n; i++)
    {
        sum+=f[i].a;
        
        pr=sum*(f[i].p/100.0);

        if(pr>m)
        {
            m=pr;
        }
    }

    cout << fixed << setprecision(4) << m << endl;

    return 0;
}